Skip to main content
GET
/
workflows
/
settings
/
variable-profile
Get the variable profile settings for the current company
curl --request GET \
  --url https://api.reelevant.com/v2/workflows/settings/variable-profile \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "companyId": "<string>",
    "resourceGroupIds": [
      "<string>"
    ],
    "profiles": [
      {
        "id": "<string>",
        "name": "<string>",
        "variables": {
          "rlvt-u": "<string>",
          "rlvt-m": "<string>",
          "utm_campaign": "<string>",
          "utm_source": "<string>",
          "utm_medium": "<string>",
          "utm_term": "<string>"
        }
      }
    ]
  },
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Ok

status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object
required
code
number